ZARAFA-BACKUP-PLUS(8)

NAME
zarafa-backup-plus - The Zarafa Backup Plus tool

SYNOPSIS

zarafa-backup-plus [OPTION...] [PATH]

DESCRIPTION

Zarafa-backup is used to create or restore backups of user data, such as one or more stores or folders. This includes emails, calendar items, contacts, etc., as well as user settings such as rules, permissions and WebApp settings.

Backups are performed incrementally, when for a given user/store there already exists a backup directory. This means that only the changes which occurred since the last backup run are processed.

For backup (not restore) it is possible to process multiple stores in parallel.

There are options to inspect the contents of a backup directory, and to restore only individual messages/items.

OPTIONS

--user, -u NAME
    Backup data of the specified user. Multiple users may be specified. By default, all users are included. When restoring, restore into the store of the specified user.

--restore
    Restore the contents of the specified backup directory. The respective store is determined automatically, but may also be specified explicitly, for example using --user.

--stats
    List folders contained in specified backup directory in CSV format. Folder sizes are shown for each folder.

--index
    List messages/items contained in specified backup directory in CSV format. Sourcekeys, respective folders, last modified dates and subjects are shown for each message/item.

--sourcekey SOURCEKEY
    Restore message/item with specified sourcekey (as shown using --index). Must be combined with --restore. Multiple sourcekeys may be specified.

--restore-root PATH
    When restoring, place data under folder with specific path (or name), for example 'some_folder' or 'Inbox/some_subfolder'.

--folder, -f PATH
    Backup/restore only folder(s) with specified path. Multiple folders may be specified. Subfolders may be included using --recursive.

--recursive
    When specifying folders (--folder), also include subfolders in backup/restore.

--worker-processes, -w N
    When backing up data from multiple stores, process these stores in parallel, using the specified number of workers.

--period-begin, -b DATE
    Backup/restore data which was last modified on or after the specified date (YYYY-MM-DD).

--period-end, -e DATE
    Backup/restore data which was last modified before the specified date (YYYY-MM-DD).

--skip-junk
    Do not backup/restore junk folder.

--skip-deleted
    Do not backup/restore deleted mail folder.

--skip-public
    Do not backup/restore public store.

--skip-attachments
    Do not backup/restore attachments.

--skip-meta
    Do not backup/restore meta data, such as settings, permissions and rules.

--only-meta
    Only backup/restore meta data, such as settings, permissions and rules.

--deletes YESNO
    Backup/restore/show deleted items/folders. The default when backing up is to maintain data which has been soft- or hard-deleted. The default when restoring is to not restore such data. The default when viewing the contents of a backup directory is to show such data.

--purge N
    Permanently delete data from backup directory which has been marked as deleted more than the specified number of days ago.

--output-dir, -O PATH
    Create/update backup directories in the specified directory, instead of the local directory.

--company, -C NAME
    Backup users and public store for specified company.

--store, -S GUID
    Backup specified store. Instead of a GUID, 'public' may also be specified, to denote the public store.

--log-level, -l NAME
    Specify log-level, for example, 'error', 'warning' 'info' or 'debug'.

--config, -c FILE
    Load configuration settings from specified file.

--server-socket, -s SOCKET
    Connect to Zarafa server through specified socket.

--auth-user, -U NAME
    Authenticate as specified user.

--auth-pass, -P PASS
    Authenticate with specified password.

--ssl-key, -k FILE
    Specify SSL key file.

--ssl-pass, -p PASSWORD
    Specify SSL key password.

EXAMPLES

Backup user 'henk', creating/updating a backup directory with the same name:

zarafa-backup -u henk

Restore the same user (possibly on another server):

zarafa-backup --restore henk

Backup users 'henk' and 'fred', in parallel, in a specified directory:

zarafa-backup -u henk -u fred -w 2 -O backups

Search for message with specific subject:

zarafa-backup --index backups/henk | grep subject

Restore single message:

zarafa-backup --restore backup/henk --sourcekey 72EE69D0A283408E89BFC35AD251E9B3830000000000

Restore single message:

zarafa-backup --restore backup/henk --sourcekey 72EE69D0A283408E89BFC35AD251E9B3830000000000

Backup calendars of all users:

zarafa-backup -f Calendar -O calendars

Recursively restore inbox of 'fred' into store of 'henk', in certain subfolder:

zarafa-backup --restore fred -f Inbox -u henk --recursive --restore-root from_fred

Restore everything last modified in 2014:

zarafa-backup --restore fred -b 2014-01-01 -e 2015-01-01

AUTHOR

Written by Zarafa.